/*
    ichatawaydialog.h - Away dialog for iChat

    Copyright (c) 2003 by Till Gerken <till@tantalo.net>
    Kopete    (c) 2003 by the Kopete developers  <kopete-devel@kde.org>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/

#ifndef ICHATAWAYDIALOG_H
#define ICHATAWAYDIALOG_H

#include <qwidget.h>
#include <kopeteawaydialog.h>
#include <kopeteonlinestatus.h>

// forward declaration required due to cyclic includes
class iChatAccount;

/**
@author Till Gerken
*/
class iChatAwayDialog : public KopeteAwayDialog
{
	Q_OBJECT

public:
	iChatAwayDialog(iChatAccount *account, QWidget* parent=0, const char* name=0);
	~iChatAwayDialog();

	virtual void setAway(int awayType);

private:
	iChatAccount *m_account;

};

#endif
