
/***************************************************************************
                          dlgichatvcard.h  -  vCard dialog
                             -------------------
    begin                : Thu Aug 08 2002
    copyright            : (C) 2002-2003 by Till Gerken <till@tantalo.net>
    email                : kopete-devel@kde.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DLGICHATVCARD_H
#define DLGICHATVCARD_H

#include "dlguserinfo.h"

class iChatContact;

class dlgiChatVCard:public dlgVCard
{
  Q_OBJECT public:
	  dlgiChatVCard (QWidget * parent = 0, const char *name = 0, iChatContact* jc=NULL);
	 ~dlgiChatVCard ();

	void assignVCard (iChatContact * jc);

	public slots:void slotClose ();
	void setReadOnly (bool);

  private:
	  bool mIsReadOnly;
	  QPixmap BuddyPixmap;
};

#endif // DLGICHATVCARD_H

/*
 * Local variables:
 * c-indentation-style: k&r
 * c-basic-offset: 8
 * indent-tabs-mode: t
 * End:
 */
// vim: set noet ts=4 sts=4 sw=4:
