
/***************************************************************************
                          ichataddcontactpage.cpp  -  Add contact widget
                             -------------------
    begin                : Thu Aug 08 2002
	copyright           : (C) 2003 by Graham Dennis <u3952328@anu.edu.au>
    copyright            : (C) 2003 by Till Gerken <till@tantalo.net>
                           (C) 2003 by Daniel Stone <dstone@kde.org>
    email                : kopete-devel@kde.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qlayout.h>
#include <klineedit.h>

#include <klocale.h>
#include <kmessagebox.h>

#include "ichataddcontactpage.h"

iChatAddContactPage::iChatAddContactPage (KopeteAccount * owner, QWidget * parent, const char *name):AddContactPage (parent, name)
{
	(new QVBoxLayout (this))->setAutoAdd (true);
	if (owner->isConnected ())
	{
		jabData = new dlgAddContact (this);
		jabData->show ();

		canadd = false;

	}
}

iChatAddContactPage::~iChatAddContactPage ()
{
}

bool iChatAddContactPage::validateData ()
{
	KMessageBox::sorry ( this,
			i18n("You cannot add contacts with iChat"),
			i18n("Sorry") );
		return false;
	return false;
}


bool iChatAddContactPage::apply (KopeteAccount * i, KopeteMetaContact * m)
{
	(void)i;
	(void)m;

	return false;
}

#include "ichataddcontactpage.moc"

/*
 * Local variables:
 * c-indentation-style: k&r
 * c-basic-offset: 8
 * indent-tabs-mode: t
 * End:
 */
// vim: set noet ts=4 sts=4 sw=4:
