
/***************************************************************************
                          dlgrendezvousvcard.h  -  vCard dialog
                             -------------------
    begin                : Thu Aug 08 2002
    copyright            : (C) 2002-2003 by Till Gerken <till@tantalo.net>
    email                : kopete-devel@kde.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DLGRENDEZVOUSVCARD_H
#define DLGRENDEZVOUSVCARD_H

#include "dlguserinfo.h"

class RendezvousContact;

class dlgRendezvousVCard:public dlgVCard
{
  Q_OBJECT public:
	  dlgRendezvousVCard (QWidget * parent = 0, const char *name = 0, RendezvousContact* jc=NULL);
	 ~dlgRendezvousVCard ();

	void assignVCard (RendezvousContact * jc);

	public slots:void slotClose ();
	void setReadOnly (bool);

  private:
	  bool mIsReadOnly;
	  QPixmap BuddyPixmap;
};

#endif // DLGRENDEZVOUSVCARD_H

/*
 * Local variables:
 * c-indentation-style: k&r
 * c-basic-offset: 8
 * indent-tabs-mode: t
 * End:
 */
// vim: set noet ts=4 sts=4 sw=4:
