/*
    rendezvousawaydialog.h - Away dialog for Rendezvous

    Copyright (c) 2003 by Till Gerken <till@tantalo.net>
    Kopete    (c) 2003 by the Kopete developers  <kopete-devel@kde.org>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/

#ifndef RENDEZVOUSAWAYDIALOG_H
#define RENDEZVOUSAWAYDIALOG_H

#include <qwidget.h>
#include <kopeteawaydialog.h>
#include <kopeteonlinestatus.h>

// forward declaration required due to cyclic includes
class RendezvousAccount;

/**
@author Till Gerken
*/
class RendezvousAwayDialog : public KopeteAwayDialog
{
	Q_OBJECT

public:
	RendezvousAwayDialog(RendezvousAccount *account, QWidget* parent=0, const char* name=0);
	~RendezvousAwayDialog();

	virtual void setAway(int awayType);

private:
	RendezvousAccount *m_account;

};

#endif
